JUCE: ListenerList< ListenerClass, ArrayType >::Iterator Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ListenerList< ListenerClass, ArrayType >::Iterator Struct Reference
juce_core » containers

Iterates the listeners in a ListenerList. More...

`#include <juce_ListenerList.h>`

## Public Member Functions
| Iterator (const ListenerList &listToIterate) noexcept
bool | next () noexcept
template<class BailOutCheckerType >
bool | next (const BailOutCheckerType &bailOutChecker) noexcept
ListenerClass * | getListener () const noexcept

## Detailed Description

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>
struct ListenerList< ListenerClass, ArrayType >::Iterator

Iterates the listeners in a ListenerList.

## Constructor & Destructor Documentation

## ◆ Iterator()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>

ListenerList< ListenerClass, ArrayType >::Iterator::Iterator | ( | const ListenerList & | listToIterate | ) |
| explicitnoexcept

## Member Function Documentation

## ◆ next() [1/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>

bool ListenerList< ListenerClass, ArrayType >::Iterator::next | ( |  | ) |
| noexcept

References ListenerList< ListenerClass, ArrayType >::size().

Referenced by ListenerList< ListenerClass, ArrayType >::Iterator::next().

## ◆ next() [2/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType >

bool ListenerList< ListenerClass, ArrayType >::Iterator::next | ( | const BailOutCheckerType & | bailOutChecker | ) |
| noexcept

References ListenerList< ListenerClass, ArrayType >::Iterator::next().

## ◆ getListener()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>

ListenerClass * ListenerList< ListenerClass, ArrayType >::Iterator::getListener | ( |  | ) | const
| noexcept

References ListenerList< ListenerClass, ArrayType >::getListeners().

The documentation for this struct was generated from the following file:

- juce_ListenerList.h